extends layout.pug
block title
  title PiouPiouZ - Niveau #{ level.title }
block content
  h1.d1 #{ level.title } - #[a(href=`/user/${level.authorId}`) #{ level.author.displayName }]

  div(class=level.theme === 0 ? "levelCountryPreview" : "levelSandPreview")
    .levelInfo
      .preview(id=`preview-${level.id}`)
        script.
          client.createPreviewSwf("#{level.id}", window.useFlashClient, true);
      .levelDesc
        .lvlStatPreview
          ul 
            li #[strong Difficulté:] x%
            li #[strong Par:] x
            li #[strong Durée:] #{ level.time }
            unless level.isPublished
              li #[span.unpublished Non publié]
        .lvlStatPreview
          ul
            li #[strong Mission:] Sauver #{ level.piouz } piouz
            if bestTry
              li #[strong Votre score:] #{ bestTry.piouz } piouz en #{ bestTry.time / 1000 }s
        .comments= level.description
        //- .comments2
        form.vote(action="/level/vote", method="post")
          dl.lvlVote
            dt Intérêt
            dd
              img(src="/gfx/gui/vote_less.gif")
              img(src="/gfx/gui/votes_0.gif")
              img(src="/gfx/gui/vote_more.gif")
            dt Estéthique
            dd
              img(src="/gfx/gui/vote_less.gif")
              img(src="/gfx/gui/votes_0.gif")
              img(src="/gfx/gui/vote_more.gif")
            input(type="submit", value="Voter", disabled)
        //- dl.lvlStat
        //-   dt a
        .levelAction2
          if level.isPublished
            a(href=`/level/${level.id}/play`) Jouer
          else
            a(href=`/level/${level.id}/edit`) Editer

  if scores
    h2.d2 Highscore
    .scoreTop
    .scoreBody 
      table
        tbody
          tr 
            th.rank Rank
            th.player Player
            th.piou Piou
            th.time Time

          each score, index in scores
            tr(class=index % 2 === 0 ? "oddtrue" : "oddfalse")
              td.rank= index + 1
              td.player #[a(href=`/user/${score.userId}`) #{ score.user.displayName }]
              td.piou #{ score.piouz }
              td.time #{ score.time / 1000 }s

    .scoreBottom
